TermSelector (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.selection

## Class TermSelector

- java.lang.Object
- - org.apache.cassandra.cql3.selection.Selector
  - - org.apache.cassandra.cql3.selection.TermSelector

-     public class TermSelector
      extends Selector

  Selector representing a simple term (literals or bound variables).

  Note that we know the term does not include function calls for instance (this is actually enforced by the parser), those being dealt with by their own Selector.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.selection.Selector

      `Selector.Factory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInput(ProtocolVersion protocolVersion, Selection.ResultSetBuilder rs)` Add the current value from the specified `ResultSetBuilder`.
    `java.nio.ByteBuffer` | `getOutput(ProtocolVersion protocolVersion)` Returns the selector output.
    `AbstractType<?>` | `getType()` Returns the `Selector` output type.
    `static Selector.Factory` | `newFactory(java.lang.String name, Term term, AbstractType<?> type)`
    `void` | `reset()` Reset the internal state of this `Selector`.

    - ### Methods inherited from class org.apache.cassandra.cql3.selection.Selector

      `isAggregate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newFactory

          public static Selector.Factory newFactory(java.lang.String name,
                                                    Term term,
                                                    AbstractType<?> type)

    - #### addInput

          public void addInput(ProtocolVersion protocolVersion,
                               Selection.ResultSetBuilder rs)
                        throws InvalidRequestException

      Description copied from class: `Selector`
      Add the current value from the specified `ResultSetBuilder`.
      Specified by:
        `addInput` in class `Selector`
      Parameters:
        `protocolVersion` - protocol version used for serialization
        `rs` - the `ResultSetBuilder`
      Throws:
        `InvalidRequestException` - if a problem occurs while add the input value

    - #### getOutput

          public java.nio.ByteBuffer getOutput(ProtocolVersion protocolVersion)
                                        throws InvalidRequestException

      Description copied from class: `Selector`
      Returns the selector output.
      Specified by:
        `getOutput` in class `Selector`
      Parameters:
        `protocolVersion` - protocol version used for serialization
      Returns:
        the selector output
      Throws:
        `InvalidRequestException` - if a problem occurs while computing the output value

    - #### getType

          public AbstractType<?> getType()

      Description copied from class: `Selector`
      Returns the `Selector` output type.
      Specified by:
        `getType` in class `Selector`
      Returns:
        the `Selector` output type.

    - #### reset

          public void reset()

      Description copied from class: `Selector`
      Reset the internal state of this `Selector`.
      Specified by:
        `reset` in class `Selector`

Copyright © 2018 The Apache Software Foundation